Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Interface Interceptor

All Superinterfaces:
  ContainerPlugin, Service

All Known Implementing Classes:
  AbstractInterceptor

public interface Interceptor
extends ContainerPlugin

Version:
  $Revision: 1.4 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:

Method Summary
`Interceptor` | `getNext()`
`java.lang.Object` | `invoke(MethodInvocation mi)`
`java.lang.Object` | `invokeHome(MethodInvocation mi)`
`void` | `setNext(Interceptor interceptor)`

Methods inherited from interface org.jboss.ejb.ContainerPlugin
`setContainer`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Method Detail

### setNext

    public void setNext(Interceptor interceptor)

### getNext

    public Interceptor getNext()

### invokeHome

    public java.lang.Object invokeHome(MethodInvocation mi)
                                throws java.lang.Exception

### invoke

    public java.lang.Object invoke(MethodInvocation mi)
                            throws java.lang.Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.